Debian Bug report logs - #149933
ITA: gravitywars

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Joey Hess <joeyh@debian.org>

Date: Thu, 13 Jun 2002 22:48:02 UTC

Severity: normal

Fixed in version gravitywars/1.102-24

Done: Samuel Hocevar <sam@zoy.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#149933; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: gravitywars
Date: Thu, 13 Jun 2002 17:58:49 -0400
Package: wnpp
Version: N/A; reported 2002-06-13
Severity: normal

I'm orphaning this (again) because I don't have any svgalib capable
machines anymore, so I cannot test it. Sucks.

I have somewhere a nonworking port to X, which I can forward on to the
new maintainer.

-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux satin 2.4.18 #1 Fri May 24 11:16:47 EDT 2002 i586
Locale: LANG=C, LC_CTYPE=C




Changed Bug title. Request was from Martin Schulze <joey@infodrom.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#149933; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Pekka Aleksi Knuutila <pa@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #12 received at 149933@bugs.debian.org (full text, mbox):

From: Pekka Aleksi Knuutila <pa@debian.org>
To: 149933@bugs.debian.org
Subject: Re: O: gravitywars
Date: Thu, 20 Jun 2002 00:34:37 +0300
> I'm orphaning this (again) because I don't have any svgalib capable
> machines anymore, so I cannot test it. Sucks.
> 
> I have somewhere a nonworking port to X, which I can forward on to the
> new maintainer.

  Has anyone else shown interest in this package? I'd be glad to take
it.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#149933; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #17 received at 149933@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Pekka Aleksi Knuutila <pa@debian.org>
Cc: Joey Hess <joeyh@debian.org>, 149933@bugs.debian.org
Subject: Re: O: gravitywars
Date: Tue, 17 Sep 2002 12:35:57 +0100
On Thu, Jun 20, 2002 at 12:34:37AM +0300, Pekka Aleksi Knuutila wrote:
> > I'm orphaning this (again) because I don't have any svgalib capable
> > machines anymore, so I cannot test it. Sucks.
> > 
> > I have somewhere a nonworking port to X, which I can forward on to the
> > new maintainer.
> 
>   Has anyone else shown interest in this package? I'd be glad to take
> it.

You didn't Cc: this to Joey, so my guess is he never saw it - I'm doing
so now.

Cheers,

-- 
Colin Watson                                  [cjwatson@flatline.org.uk]



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#149933; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Pekka Aleksi Knuutila <zur@edu.lahti.fi>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #22 received at 149933@bugs.debian.org (full text, mbox):

From: Pekka Aleksi Knuutila <zur@edu.lahti.fi>
To: Colin Watson <cjwatson@debian.org>
Cc: 149933@bugs.debian.org
Subject: Re: O: gravitywars
Date: Tue, 17 Sep 2002 17:08:38 +0300
On Tue, Sep 17, 2002 at 12:35:57PM +0100, Colin Watson wrote: 

> You didn't Cc: this to Joey, so my guess is he never saw it - I'm doing
> so now.

  Oops, I must've forgotten about the whole thing. Glad that you took
the package :-)




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#149933; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #27 received at 149933@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Pekka Aleksi Knuutila <zur@edu.lahti.fi>
Cc: 149933@bugs.debian.org
Subject: Re: O: gravitywars
Date: Tue, 17 Sep 2002 15:13:35 +0100
On Tue, Sep 17, 2002 at 05:08:38PM +0300, Pekka Aleksi Knuutila wrote:
> On Tue, Sep 17, 2002 at 12:35:57PM +0100, Colin Watson wrote: 
> > You didn't Cc: this to Joey, so my guess is he never saw it - I'm doing
> > so now.
> 
>   Oops, I must've forgotten about the whole thing. Glad that you took
> the package :-)

I have no intention of taking the package, I'm afraid - I was just
letting Joey know that *you* were interested. :)

-- 
Colin Watson                                  [cjwatson@flatline.org.uk]



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#149933; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #32 received at 149933@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Colin Watson <cjwatson@debian.org>
Cc: Pekka Aleksi Knuutila <pa@debian.org>, 149933@bugs.debian.org
Subject: Re: O: gravitywars
Date: Tue, 17 Sep 2002 10:36:40 -0400
[Message part 1 (text/plain, inline)]
Colin Watson wrote:
> On Thu, Jun 20, 2002 at 12:34:37AM +0300, Pekka Aleksi Knuutila wrote:
> > > I'm orphaning this (again) because I don't have any svgalib capable
> > > machines anymore, so I cannot test it. Sucks.
> > > 
> > > I have somewhere a nonworking port to X, which I can forward on to the
> > > new maintainer.
> > 
> >   Has anyone else shown interest in this package? I'd be glad to take
> > it.
> 
> You didn't Cc: this to Joey, so my guess is he never saw it - I'm doing
> so now.

Yes, I didn't. Pekka is certianly welcome to it.

-- 
see shy jo
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#149933; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Pekka Aleksi Knuutila <zur@edu.lahti.fi>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #37 received at 149933@bugs.debian.org (full text, mbox):

From: Pekka Aleksi Knuutila <zur@edu.lahti.fi>
To: Colin Watson <cjwatson@debian.org>
Cc: 149933@bugs.debian.org
Subject: Re: O: gravitywars
Date: Tue, 17 Sep 2002 20:28:25 +0300
On Tue, Sep 17, 2002 at 03:13:35PM +0100, Colin Watson wrote: 

> I have no intention of taking the package, I'm afraid - I was just
> letting Joey know that *you* were interested. :)

  Oh, damn. :-) I'll try to find the time to manage it myself then..




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#149933; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Sam Hocevar <sam@zoy.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #42 received at 149933@bugs.debian.org (full text, mbox):

From: Sam Hocevar <sam@zoy.org>
To: Pekka Aleksi Knuutila <zur@edu.lahti.fi>
Cc: 149933@bugs.debian.org
Subject: Re: O: gravitywars
Date: Tue, 22 Apr 2003 19:45:54 +0200
On Tue, Sep 17, 2002, Pekka Aleksi Knuutila wrote:

> > I have no intention of taking the package, I'm afraid - I was just
> > letting Joey know that *you* were interested. :)
> 
>   Oh, damn. :-) I'll try to find the time to manage it myself then..

   Are you still interested in this package? If you are, I have a port
to libSDL that almost works (well, it works completely except little
graphical ship/background glitches I haven't tracked down yet). I am
currently trying to get it to work on non-x86 architectures.

   An updated diff.gz against the current Debian tarball is available
here: http://zoy.org/~sam/gravitywars/

   If you are not interested anymore, well, I'll adopt it myself :-)

Regards,
-- 
Sam.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#149933; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Pekka Aleksi Knuutila <pa@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #47 received at 149933@bugs.debian.org (full text, mbox):

From: Pekka Aleksi Knuutila <pa@debian.org>
To: Sam Hocevar <sam@zoy.org>
Cc: 149933@bugs.debian.org
Subject: Re: O: gravitywars
Date: Wed, 23 Apr 2003 10:16:02 +0300
On Tue, Apr 22, 2003 at 07:45:54PM +0200, Sam Hocevar wrote: 

>    If you are not interested anymore, well, I'll adopt it myself :-)

Go ahead, you'll probably make a better job :-)




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#149933; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Sam Hocevar <sam@zoy.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #52 received at 149933@bugs.debian.org (full text, mbox):

From: Sam Hocevar <sam@zoy.org>
To: Pekka Aleksi Knuutila <pa@debian.org>
Cc: 149933@bugs.debian.org
Subject: Re: O: gravitywars
Date: Thu, 24 Apr 2003 03:28:12 +0200
retitle 149933 ITA: gravitywars
thanks

On Wed, Apr 23, 2003, Pekka Aleksi Knuutila wrote:
> >    If you are not interested anymore, well, I'll adopt it myself :-)
> 
> Go ahead, you'll probably make a better job :-)

   Cool, I'll upload the new version within a couple of days then!

Regards,
Sam.
-- 
Samuel Hocevar <sam@zoy.org> <http://sam.zoy.org/>
  free DVD and MPEG support for Linux, Unix, Windows, BeOS and QNX:
               VideoLAN <http://www.videolan.org/>



Changed Bug title. Request was from Sam Hocevar <sam@zoy.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#149933; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #59 received at 149933@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Sam Hocevar <sam@zoy.org>, 149933@bugs.debian.org
Subject: Re: Bug#149933: O: gravitywars
Date: Fri, 25 Apr 2003 00:46:28 -0400
[Message part 1 (text/plain, inline)]
Sam Hocevar wrote:
> retitle 149933 ITA: gravitywars
> thanks
> 
> On Wed, Apr 23, 2003, Pekka Aleksi Knuutila wrote:
> > >    If you are not interested anymore, well, I'll adopt it myself :-)
> > 
> > Go ahead, you'll probably make a better job :-)
> 
>    Cool, I'll upload the new version within a couple of days then!

Wow, I'm looking forward to being able to play this again. Haven't had a
svgalib-capable laptop in 3 years or so..

-- 
see shy jo
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#149933; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Sam Hocevar <sam@zoy.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #64 received at 149933@bugs.debian.org (full text, mbox):

From: Sam Hocevar <sam@zoy.org>
To: Joey Hess <joeyh@debian.org>
Cc: 149933@bugs.debian.org
Subject: Re: Bug#149933: O: gravitywars
Date: Sat, 26 Apr 2003 19:08:48 +0200
On Fri, Apr 25, 2003, Joey Hess wrote:

> Wow, I'm looking forward to being able to play this again. Haven't had a
> svgalib-capable laptop in 3 years or so..

   Be sure to run it in 8bpp, then. Other depths have crap performance
because SDL does a whole picture conversion for each frame.

-- 
Sam.



Reply sent to Samuel Hocevar <sam@zoy.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Joey Hess <joeyh@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #69 received at 149933-close@bugs.debian.org (full text, mbox):

From: Samuel Hocevar <sam@zoy.org>
To: 149933-close@bugs.debian.org
Subject: Bug#149933: fixed in gravitywars 1.102-24
Date: Sat, 26 Apr 2003 13:17:08 -0400
We believe that the bug you reported is fixed in the latest version of
gravitywars, which is due to be installed in the Debian FTP archive:

gravitywars_1.102-24.diff.gz
  to pool/main/g/gravitywars/gravitywars_1.102-24.diff.gz
gravitywars_1.102-24.dsc
  to pool/main/g/gravitywars/gravitywars_1.102-24.dsc
gravitywars_1.102-24_i386.deb
  to pool/main/g/gravitywars/gravitywars_1.102-24_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 149933@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Samuel Hocevar <sam@zoy.org> (supplier of updated gravitywars package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 22 Apr 2003 19:43:57 +0200
Source: gravitywars
Binary: gravitywars
Architecture: source i386
Version: 1.102-24
Distribution: unstable
Urgency: low
Maintainer: Samuel Hocevar <sam@zoy.org>
Changed-By: Samuel Hocevar <sam@zoy.org>
Description: 
 gravitywars - a clone of Gravity Force
Closes: 149933 159003
Changes: 
 gravitywars (1.102-24) unstable; urgency=low
 .
   * New maintainer (Closes: #149933).
   * Updated policy to 3.5.9.0.
   * Reduced the huge console splash message to two lines.
   * Ported the code to use SDL instead of svgalib (Closes: #159003). Package
     is now Arch: any, and binary is no longer setuid root.
   * Moved architecture-independant data from /usr/lib to /usr/share.
   * We use dpkg-statoverride instead of shipping a setgid binary.
   * Added switch to fullscreen using the 'f' key.
   * Added a "keys" section to the manpage.
   * Drew an icon for gravitywars.
Files: 
 6b95d30e1889a91dc88432102c90570d 623 games optional gravitywars_1.102-24.dsc
 fb4535800869953ca41603a671afbc13 10979 games optional gravitywars_1.102-24.diff.gz
 6b9b4717ed3c2871938de2856287c30e 203532 games optional gravitywars_1.102-24_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.1 (GNU/Linux)

iD8DBQE+qqcvfPP1rylJn2ERAk+tAJ4u+rSPcALqNcq1boarNvscKzY+gACgkqHD
JYS2lAI47ri9mv2pwp4ggAk=
=v0+N
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:46:30 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.